﻿@model ThirdMVCAppMy.Models.Dish.DishCreateModel

@{
    ViewData["Title"] = "CreateDish";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>CreateDish</h1>

<h4>DishCreateModel</h4>

<div>
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.RestaurantModel.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.RestaurantModel.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.RestaurantModel.Description)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.RestaurantModel.Description)
        </dd>
    </dl>
</div>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateDish" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="hidden" asp-for="RestaurantName" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Price" class="control-label"></label>
                <input asp-for="Price" class="form-control" />
                <span asp-validation-for="Price" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="hidden" asp-for="RestaurantId" class="form-control" />
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
